export LD_LIBRARY_PATH=../backend
echo testing Code 11
valgrind --log-file=./logs/bar001.log ./zint -o bar01.eps -b 1 --height=50 -d 87654321
echo testing Code 2 of 5 Standard
valgrind --log-file=./logs/bar002.log ./zint -o bar02.eps -b 2 --height=50 -d 87654321
echo testing Interleaved 2 of 5
valgrind --log-file=./logs/bar003.log ./zint -o bar03.eps -b 3 --height=50 -d 87654321
echo testing Code 2 of 5 IATA
valgrind --log-file=./logs/bar004.log ./zint -o bar04.eps -b 4 --height=50 -d 87654321
echo testing Code 2 of 5 Data Logic
valgrind --log-file=./logs/bar006.log ./zint -o bar06.eps -b 6 --height=50 -d 87654321
echo testing Code 2 of 5 Industrial
valgrind --log-file=./logs/bar007.log ./zint -o bar07.eps -b 7 --height=50 -d 87654321
echo testing Code 39
valgrind --log-file=./logs/bar008.log ./zint -o bar08.eps -b 8 --height=50 -d CODE39
echo testing Extended Code 39
valgrind --log-file=./logs/bar009.log ./zint -o bar09.eps -b 9 --height=50 -d 'Code 39e'
echo testing EAN8
valgrind --log-file=./logs/bar010.log ./zint -o bar10.eps -b 13 --height=50 -d 7654321
echo testing EAN8 - 2 digits add on
valgrind --log-file=./logs/bar011.log ./zint -o bar11.eps -b 13 --height=50 -d 7654321+21
echo testing EAN8 - 5 digits add-on
valgrind --log-file=./logs/bar012.log ./zint -o bar12.eps -b 13 --height=50 -d 7654321+54321
echo testing EAN13
valgrind --log-file=./logs/bar013.log ./zint -o bar13.eps -b 13 --height=50 -d 210987654321
echo testing EAN13 - 2 digits add-on
valgrind --log-file=./logs/bar014.log ./zint -o bar14.eps -b 13 --height=50 -d 210987654321+21
echo testing EAN13 - 5 digits add-on
valgrind --log-file=./logs/bar015.log ./zint -o bar15.eps -b 13 --height=50 -d 210987654321+54321
echo testing GS1-128
valgrind --log-file=./logs/bar016.log ./zint -o bar16.eps -b 16 --height=50 -d "[01]98898765432106[3202]012345[15]991231"
echo testing CodaBar
valgrind --log-file=./logs/bar018.log ./zint -o bar18.eps -b 18 --height=50 -d D765432C
echo testing Code 128
valgrind --log-file=./logs/bar020.log ./zint -o bar20.eps -b 20 --height=50 -d 'Code 128'
echo testing Deutshe Post Leitcode
valgrind --log-file=./logs/bar021.log ./zint -o bar21.eps -b 21 --height=50 -d 3210987654321
echo testing Deutche Post Identcode
valgrind --log-file=./logs/bar022.log ./zint -o bar22.eps -b 22 --height=50 -d 10987654321
echo testing Code 16k
valgrind --log-file=./logs/bar023.log ./zint -o bar23.eps -b 23 --height=50 -d "Demonstration Code 16k symbol generated by libzint"
valgrind --log-file=./logs/bar023a.log ./zint -o bar23a.eps -b 23 --gs1 -d "[01]98898765432106[02]13012345678909[10]1234567ABCDEFG[3202]012345[15]991231"
echo testing Code 49
valgrind --log-file=./logs/bar024.log ./zint -o bar24.eps -b 24 -d "Demonstration Code 49"
echo testing Code 93
valgrind --log-file=./logs/bar025.log ./zint -o bar25.eps -b 25 --height=50 -d 'Code 93'
echo testing Flattermarken
valgrind --log-file=./logs/bar028.log ./zint -o bar28.eps -b 28 --height=50 -d 87654321
echo testing GS1 DataBar-14
valgrind --log-file=./logs/bar029.log ./zint -o bar29.eps -b 29 --height=33 -d 2001234567890
echo testing GS1 DataBar Limited
valgrind --log-file=./logs/bar030.log ./zint -o bar30.eps -b 30 --height=50 -w 2 -d 31234567890
echo testing GS1 DataBar Expanded
valgrind --log-file=./logs/bar031.log ./zint -o bar31.eps -b 31 --height=50 -d "[01]90012345678908[3103]001750"
echo testing Telepen Alpha
valgrind --log-file=./logs/bar032.log ./zint -o bar32.eps -b 32 --height=50 -d 'Telepen'
echo testing UPC A
valgrind --log-file=./logs/bar034.log ./zint -o bar34.eps -b 34 --height=50 -d 10987654321
echo testing UPC A - 2 digit add-on
valgrind --log-file=./logs/bar035.log ./zint -o bar35.eps -b 34 --height=50 -d 10987654321+21
echo testing UPC A - 5 digit add-on
valgrind --log-file=./logs/bar036.log ./zint -o bar36.eps -b 36 --height=50 -d 10987654321+54321
echo testing UPC E
valgrind --log-file=./logs/bar037.log ./zint -o bar37.eps -b 37 --height=50 -d 654321
echo testing UPC E - 2 digit add-on
valgrind --log-file=./logs/bar038.log ./zint -o bar38.eps -b 37 --height=50 -d 654321+21
echo testing UPC E - 5 digit add-on
valgrind --log-file=./logs/bar039.log ./zint -o bar39.eps -b 37 --height=50 -d 654321+54321
echo testing PostNet-6
valgrind --log-file=./logs/bar041.log ./zint -o bar41.eps -b 40 -d 54321
echo testing PostNet-10
valgrind --log-file=./logs/bar043.log ./zint -o bar43.eps -b 40 -d 987654321
echo testing PostNet-12
valgrind --log-file=./logs/bar045.log ./zint -o bar45.eps -b 40 -d 10987654321
echo testing MSI Code
valgrind --log-file=./logs/bar047.log ./zint -o bar47.eps -b 47 --height=50 -d 87654321
echo testing FIM
valgrind --log-file=./logs/bar049.log ./zint -o bar49.eps -b 49 --height=50 -d D
echo testing LOGMARS
valgrind --log-file=./logs/bar050.log ./zint -o bar50.eps -b 50 --height=50 -d LOGMARS
echo testing Pharmacode One-Track
valgrind --log-file=./logs/bar051.log ./zint -o bar51.eps -b 51 --height=50 -d 123456
echo testing Pharmazentralnumber
valgrind --log-file=./logs/bar052.log ./zint -o bar52.eps -b 52 --height=50 -d 654321
echo testing Pharmacode Two-Track
valgrind --log-file=./logs/bar053.log ./zint -o bar53.eps -b 53 --height=50 -d 12345678
echo testing PDF417
valgrind --log-file=./logs/bar055.log ./zint -o bar55.eps -b 55 -d "Demonstration PDF417 symbol generated by libzint"
echo testing PDF417 Truncated
valgrind --log-file=./logs/bar056.log ./zint -o bar56.eps -b 56 -d "Demonstration PDF417 symbol generated by libzint"
echo testing Maxicode
valgrind --log-file=./logs/bar057.log ./zint -o bar57.eps -b 57 --primary="999999999840012" -d "Demonstration Maxicode symbol generated by libzint"
echo testing QR Code
valgrind --log-file=./logs/bar058.log ./zint -o bar58.eps -b 58 -d "Demonstration QR Code symbol generated by libzint"
echo testing Code 128 Subset B
valgrind --log-file=./logs/bar060.log ./zint -o bar60.eps -b 60 --height=50 -d 87654321
echo testing Australian Post Standard Customer
valgrind --log-file=./logs/bar063.log ./zint -o bar63.eps -b 63 -d 87654321
echo testing Australian Post Customer 2
valgrind --log-file=./logs/bar064.log ./zint -o bar64.eps -b 63 -d 87654321AUSPS
echo testing Australian Post Customer 3
valgrind --log-file=./logs/bar065.log ./zint -o bar65.eps -b 63 -d '87654321 AUSTRALIA'
echo testing Australian Post Reply Paid
valgrind --log-file=./logs/bar066.log ./zint -o bar66.eps -b 66 -d 87654321
echo testing Australian Post Routing
valgrind --log-file=./logs/bar067.log ./zint -o bar67.eps -b 67 -d 87654321
echo testing Australian Post Redirection
valgrind --log-file=./logs/bar068.log ./zint -o bar68.eps -b 68 -d 87654321
echo testing ISBN Code
valgrind --log-file=./logs/bar069.log ./zint -o bar69.eps -b 69 --height=50 -d 0333638514
echo testing Royal Mail 4 State
valgrind --log-file=./logs/bar070.log ./zint -o bar70.eps -b 70 -d ROYALMAIL
echo testing Data Matrix
valgrind --log-file=./logs/bar071.log ./zint -o bar71.eps -b 71 -d "Demonstration Data Matrix symbol generated by libzint"
valgrind --log-file=./logs/bar071a.log ./zint -o bar71a.eps -b 71 --gs1 -d "[01]98898765432106[02]13012345678909[10]1234567ABCDEFG[3202]012345[15]991231"
echo testing Data Matrix ECC 050
valgrind --log-file=./logs/bar071b.log ./zint -o bar71b.eps --mode=3 -b 71 -d "Demonstration Data Matrix symbol generated by libzint"
echo testing EAN-14
valgrind --log-file=./logs/bar072.log ./zint -o bar72.eps -b 72 --height=50 -d 3210987654321
echo testing Codablock-F
valgrind --log-file=./logs/bar074.log ./zint -o bar74.eps -b 74 -d "Demonstration Codablock-F symbol generated by libzint"
valgrind --log-file=./logs/bar074a.log ./zint -o bar74a.eps -b 74 --gs1 -d "[01]98898765432106[02]13012345678909[10]1234567ABCDEFG[3202]012345[15]991231"
echo testing NVE-18
valgrind --log-file=./logs/bar075.log ./zint -o bar75.eps -b 75 --height=50 -d 76543210987654321
echo testing Japanese Post
valgrind --log-file=./logs/bar076.log ./zint -o bar76.eps -b 76 -d "10000131-3-2-503"
echo testing Korea Post
valgrind --log-file=./logs/bar077.log ./zint -o bar77.eps -b 77 --height=50 -d 123456
echo testing GS1 DataBar Truncated
valgrind --log-file=./logs/bar078.log ./zint -o bar78.eps -b 29 --height=13 -d 1234567890
echo testing GS1 DataBar Stacked
valgrind --log-file=./logs/bar079.log ./zint -o bar79.eps -b 79 -d 1234567890
echo testing GS1 DataBar Stacked Omnidirectional
valgrind --log-file=./logs/bar080.log ./zint -o bar80.eps -b 80 --height=69 -d 3456789012
echo testing GS1 DataBar Expanded Stacked
valgrind --log-file=./logs/bar081.log ./zint -o bar81.eps -b 81 -d "[01]98898765432106[3202]012345[15]991231"
echo testing Planet 12 Digit
valgrind --log-file=./logs/bar082.log ./zint -o bar82.eps -b 82 -d 10987654321
echo testing Planet 14 Digit
valgrind --log-file=./logs/bar083.log ./zint -o bar83.eps -b 82 -d 3210987654321
echo testing Micro PDF417
valgrind --log-file=./logs/bar084.log ./zint -o bar84.eps -b 84 -d "Demonstration MicroPDF417 symbol generated by libzint"
echo testing USPS OneCode 4-State Customer Barcode
valgrind --log-file=./logs/bar085.log ./zint -o bar85.eps -b 85 -d 01234567094987654321
echo testing Plessey Code with bidirectional reading support
valgrind --log-file=./logs/bar086.log ./zint -o bar86.eps -b 86 --height=50 -d 87654321
echo testing Telepen Numeric
valgrind --log-file=./logs/bar087.log ./zint -o bar87.eps -b 87 --height=50 -d 87654321
echo testing ITF-14
valgrind --log-file=./logs/bar089.log ./zint -o bar89.eps -b 89 --height=50 -d 3210987654321
echo testing KIX Code
valgrind --log-file=./logs/bar090.log ./zint -o bar90.eps -b 90 -d '1231FZ13Xhs'
echo testing Aztec Code
valgrind --log-file=./logs/bar092.log ./zint -o bar92.eps -b 92 -d "Demonstration Aztec Code symbol generated by libzint"
valgrind --log-file=./logs/bar092a.log ./zint -o bar92a.eps -b 92 --gs1 -d "[01]98898765432106[02]13012345678909[10]1234567ABCDEFG[3202]012345[15]991231"
echo testing DAFT Code
valgrind --log-file=./logs/bar093.log ./zint -o bar93.eps -b 93 -d "daftdaftdaftdaftdaftdaftdaftdaftdaft"
echo testing Micro QR Code
valgrind --log-file=./logs/bar097.log ./zint -o bar97.eps -b 97 -d "MicroQR Code"
echo testing Aztec Runes
valgrind --log-file=./logs/bar128.log ./zint -o bar128.eps -b 128 -d 125
echo testing Code 23
valgrind --log-file=./logs/bar129.log ./zint -o bar129.eps -b 129 -d "12345678"
echo testing EAN-8 Composite with CC-A
valgrind --log-file=./logs/bar130.log ./zint -o bar130.eps -b 130 --height=100 --mode=1 --primary=1234567 -d "[21]A12345678"
echo testing EAN-13 Composite with CC-A
valgrind --log-file=./logs/bar130a.log ./zint -o bar130a.eps -b 130 --height=100 --mode=1 --primary=331234567890 -d "[99]1234-abcd"
echo testing UCC/EAN-128 Composite with CC-A
valgrind --log-file=./logs/bar131.log ./zint -o bar131.eps -b 131 --height=100 --mode=1 --primary="[01]03212345678906" -d "[10]1234567ABCDEFG"
echo testing UCC/EAN-128 Composite with CC-C
valgrind --log-file=./logs/bar131a.log ./zint -o bar131a.eps -b 131 --height=100 --mode=3 --primary="[00]030123456789012340" -d "[02]13012345678909[10]1234567ABCDEFG"
echo testing RSS-14 Composite with CC-A
valgrind --log-file=./logs/bar132.log ./zint -o bar132.eps -b 132 --height=100 --mode=1 --primary=361234567890 -d "[11]990102"
echo testing RSS Limited Composite with CC-B
valgrind --log-file=./logs/bar133.log ./zint -o bar133.eps -b 133 --height=100 --mode=2 --primary=351234567890 -d "[21]abcdefghijklmnopqrstuv"
echo testing RSS Expanded Composite with CC-A
valgrind --log-file=./logs/bar134.log ./zint -o bar134.eps -b 134 --height=100 --mode=1 --primary="[01]93712345678904[3103]001234" -d "[91]1A2B3C4D5E"
echo testing UPC-A Composite with CC-A
valgrind --log-file=./logs/bar135.log ./zint -o bar135.eps -b 135 --height=100 --mode=1 --primary=10987654321 -d "[15]021231"
echo testing UPC-E Composite with CC-A
valgrind --log-file=./logs/bar136.log ./zint -o bar136.eps -b 136 --height=100 --mode=1 --primary=121230 -d "[15]021231"
echo testing RSS-14 Stacked Composite with CC-A
valgrind --log-file=./logs/bar137.log ./zint -o bar137.eps -b 137 --mode=1 --primary=341234567890 -d "[17]010200"
echo testing RSS-14 Stacked Omnidirectional Composite with CC-A
valgrind --log-file=./logs/bar138.log ./zint -o bar138.eps -b 138 --mode=1 --primary=341234567890 -d "[17]010200"
echo testing RSS Expanded Stacked Composite with CC-A
valgrind --log-file=./logs/bar139.log ./zint -o bar139.eps -b 139 --height=150 --mode=1 --primary="[01]00012345678905[10]ABCDEF" -d "[21]12345678"
echo testing Channel Code
valgrind --log-file=./logs/bar140.log ./zint -o bar140.eps -b 140 --height=100 -d "12345"
